Subject: Re: XLlTemac soft lockup BUG

From: khollan <[email-masked]>
Date: Wed, 23 Apr 2008 11:09:40 -0700 (PDT)

Hi,

I have done some more digging and it seems like whenever the system works
the command XLlFifo_IsRxEmpty(&lp->Fifo)) returns a 1 meaning that the
RxFifo is empty.  I stuck this test in the xenet_open function right before
the fifo interupt gets enabled.

When ever this test comes back as 0 the ifconfig will get into the soft
lockup I described above.

Is there a function that empties out the fifo, I tried XLlFifo_RxReset but
that doesn't seem to work.

Thanks

Kevin
-- 
View this message in context: http://www.nabble.com/XLlTemac--soft-lockup-BUG-tp16711066p16834738.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.